共用方式為


App Service Environments - Get Vip Info

取得指派給 App Service 環境的 IP 位址的描述。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/hostingEnvironments/{name}/capacities/virtualip?api-version=2025-05-01

URI 參數

名稱 位於 必要 類型 Description
name
path True

string

App Service 環境的名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

AddressResponse

Azure 作業已順利完成。

Other Status Codes

DefaultErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Get IP addresses assigned to an App Service Environment.

範例要求

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/capacities/virtualip?api-version=2025-05-01

範例回覆

{
  "name": "test-ase",
  "type": "Microsoft.Web/hostingEnvironments/capacities",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/capacities/virtualip",
  "properties": {
    "internalIpAddress": null,
    "outboundIpAddresses": [
      "20.112.141.120"
    ],
    "serviceIpAddress": "20.112.141.120",
    "vipMappings": [
      {
        "inUse": false,
        "internalHttpPort": 20003,
        "internalHttpsPort": 20001,
        "serviceName": null,
        "virtualIP": "20.112.141.135"
      },
      {
        "inUse": false,
        "internalHttpPort": 20004,
        "internalHttpsPort": 20002,
        "serviceName": null,
        "virtualIP": "20.112.141.150"
      }
    ]
  }
}

定義

名稱 Description
AddressResponse

描述主要公用 IP 位址和任何額外的虛擬 IP。

createdByType

建立資源的身分識別類型。

DefaultErrorResponse

App Service 錯誤回應。

DefaultErrorResponseError

錯誤模型。

DefaultErrorResponseErrorDetailsItem

詳細的錯誤。

systemData

與建立和上次修改資源相關的元數據。

VirtualIPMapping

虛擬 IP 對應。

AddressResponse

描述主要公用 IP 位址和任何額外的虛擬 IP。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如 “/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

kind

string

資源種類。

name

string

資源的名稱

properties.internalIpAddress

string

App Service 環境的虛擬網路內部 IP 位址 (如果它處於內部負載平衡模式)。

properties.outboundIpAddresses

string[]

出現在輸出連線上的 IP 位址。

properties.serviceIpAddress

string

主要公共虛擬IP。

properties.vipMappings

VirtualIPMapping[]

其他虛擬 IP。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 中繼資料。

type

string

資源的類型。 例如「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service 錯誤回應。

名稱 類型 Description
error

DefaultErrorResponseError

錯誤模型。

DefaultErrorResponseError

錯誤模型。

名稱 類型 Description
code

string

標準化字串,以程式設計方式識別錯誤。

details

DefaultErrorResponseErrorDetailsItem[]

詳細的錯誤。

innererror

string

偵錯錯誤的詳細資訊。

message

string

詳細的錯誤描述和偵錯資訊。

target

string

詳細的錯誤描述和偵錯資訊。

DefaultErrorResponseErrorDetailsItem

詳細的錯誤。

名稱 類型 Description
code

string

標準化字串,以程式設計方式識別錯誤。

message

string

詳細的錯誤描述和偵錯資訊。

target

string

詳細的錯誤描述和偵錯資訊。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。

VirtualIPMapping

虛擬 IP 對應。

名稱 類型 Description
inUse

boolean

是否正在使用虛擬 IP 對應。

internalHttpPort

integer (int32)

內部 HTTP 連接埠。

internalHttpsPort

integer (int32)

內部 HTTPS 連接埠。

serviceName

string

虛擬 IP 指派給的服務名稱

virtualIP

string

虛擬 IP 位址。